Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.process
Class TestExecQueue

    java.lang.Object
      com.ejie.r01f.process.AbstractExecQueue
          com.ejie.r01f.process.TestExecQueue

public class TestExecQueue
extends AbstractExecQueue

Author:
  user To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

Constructor Summary
`TestExecQueue()` Constructor for TestExecQueue.
`TestExecQueue(int limInf, int limSup)` Constructor for TestExecQueue.

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `service(java.lang.Object obj)` Método que se encarga de servir (vaciar) la cola

Methods inherited from class com.ejie.r01f.process.AbstractExecQueue
`clear, flush, isEmpty, pull, push, setLimits, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestExecQueue

    public TestExecQueue()

  Constructor for TestExecQueue.

### TestExecQueue

    public TestExecQueue(int limInf,
                         int limSup)

  Constructor for TestExecQueue.

Parameters:
  `limInf` -
  `limSup` -

Method Detail

### service

    public void service(java.lang.Object obj)

  Description copied from class: `AbstractExecQueue`
  Método que se encarga de servir (vaciar) la cola

  Specified by:
    `service` in class `AbstractExecQueue`
  See Also:
    `com.ejie.r01f.util.AbstractExecQueue#service(Object)`

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD